#if !defined(AFX_SENDMANY_H__92BBCB72_314D_11D3_B2A6_002078154408__INCLUDED_)
#define AFX_SENDMANY_H__92BBCB72_314D_11D3_B2A6_002078154408__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SendMany.h : header file
//


#include <UserNetwork.h>
#include <ElapsedTime.h>


/////////////////////////////////////////////////////////////////////////////
// CSendMany dialog

class CSendMany : public CPropertyPage, CElapsedTime
{
	DECLARE_DYNCREATE(CSendMany)

// Construction
public:
	
	CSendMany();
	~CSendMany();

// Dialog Data
	//{{AFX_DATA(CSendMany)
	enum { IDD = IDD_DIALOG_SEND_MANY };
	CButton	m_ctrlButtonStop;
	CButton	m_ctrlButtonStart;
	CSliderCtrl	m_SlideTurnRate;
	CSliderCtrl	m_SlideSpread;
	CSliderCtrl	m_SlideAirspeed;
	CSliderCtrl	m_SlideAltitude;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSendMany)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSendMany)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckSendManyStart();
	afx_msg void OnCheckSendManyStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void InitAircraft();
	void ChangeTurnRate(float);
	void UpdateDynamics(float);
	void PromoSend();
	Aircraft f23;
	Aircraft b707;
	Aircraft f18;
	Aircraft f16;
	Aircraft f15;
	Aircraft f22;
	Aircraft f117;
	int	bNewFrame;
	float fTurnRate;
	float fAirspeed;
	float fAltitude;
	float fSpread;
	DWORD dwCurrentTimeMs;
	DWORD dwLastTimeMs;
	DWORD dwElapsedTimeMs;

	virtual void WorkFunction(UINT uiTimerID);
	UINT m_uiTimerIDDynamics;
	UINT m_uiTimerIDSend;
	UINT m_uiTimerIDElapsedDynamics;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SENDMANY_H__92BBCB72_314D_11D3_B2A6_002078154408__INCLUDED_)
